
fn InstallNeoDex =
(
	fn isMenuInMainBar main ndMenu =
	(
		result = false
		local n = main.numItems()
		for i = 1 to n do
		(
			local it = main.getItem i
			if (it.getSubMenu ()) == ndMenu then result = true
		)
		result
	)
    local scriptsdir = getDir #scripts
    local neodexMacros = getFiles (scriptsdir + "\\NeoDexTools\\*.ms")
	local neodexExtraMacros = getFiles (scriptsdir + "\\NeoDexExtraTools\\*.ms")
	local Main = menuMan.getMainMenuBar()
	local NeoDexMain = menuMan.findMenu "NeoDex"
	local NeoDexExtra
	local SubNeoDex
	local SubNeoDexExtra
	local gmax = (cylgizmo == undefined)
	join neodexExtraMacros (getFiles (scriptsdir + "\\NeoDexExtraTools\\*.mse"))
	InitiateNeodexPlugins ()
	fn CleanMenu m =
	(
		local n = m.numItems()
		for i = n to 1 by -1 do m.removeItemByPosition i
	)
	for m in neodexMacros do filein m
	for m in neodexExtraMacros do filein m
	if NeoDexMain == undefined then
	(
		NeoDexMain = menuMan.createMenu "NeoDex"
		SubNeoDex = menuMan.createSubMenuItem "NeoDex" NeoDexMain
		Main.addItem SubNeoDex -1
	) else (
		if (not (isMenuInMainBar Main NeoDexMain)) then
		(
			SubNeoDex = menuMan.createSubMenuItem "NeoDex" NeoDexMain
			Main.addItem SubNeoDex -1
		)
	)
	NeoDexExtra = menuMan.findMenu "Neodex Extra"
	if (NeoDexExtra == undefined) then
	(
		NeoDexExtra = menuMan.createMenu "Neodex Extra"
	)
	
	local num = NeoDexMain.numItems()
	if num != 0 then CleanMenu NeoDexMain
	local EXPT = menuMan.createActionItem "NeoDex_Exporter" "Import/Export"
	local IMPT = menuMan.createActionItem "NeoDex_Importer" "Import/Export"
	local IKS = menuMan.createActionItem "NeoDex_IK_Snapper" "Converters"
	local VA = menuMan.createActionItem "NeoDex_Vertex_Animation" "Converters"
	local KR = menuMan.createActionItem "NeoDex_Key_Reducer" "Tools"
	local OS = menuMan.createActionItem "NeoDex_Object_Settings" "Tools"
	local MT = menuMan.createActionItem "NeoDex_Mesh_Tools" "Tools"
	local ST = menuMan.createActionItem "NeoDex_Skin_Tools" "Tools"
	local AH = menuMan.createActionItem "NeoDex_Animation_Tools" "Tools"
	local RD = menuMan.createActionItem "NeoDex_Renderer" "Tools"
	local Sep = menuMan.createSeparatorItem()
	local extraMenus =#()
	local NDPlugins = NeoDexGetPlugins ()
	for n in NDPlugins where (NeoDexIsPluginCompatible n gmax) do
	(
		local it = NeoDexPluginMakeMenuItem n
		if it != undefined then append extraMenus it
	)
	try
	(
		NeoDexMain.addItem EXPT -1
		NeoDexMain.addItem IMPT -1
		NeoDexMain.addItem Sep -1
		NeoDexMain.addItem IKS -1
		NeoDexMain.addItem VA -1
		NeoDexMain.addItem Sep -1
		NeoDexMain.addItem MT -1
		NeoDexMain.addItem ST -1
		NeoDexMain.addItem AH -1
		NeoDexMain.addItem KR -1
		NeoDexMain.addItem Sep -1
		NeoDexMain.addItem OS -1
		NeoDexMain.addItem RD -1
		NeoDexMain.addItem Sep -1
		num = NeoDexExtra.numItems()
		if num != 0 then CleanMenu NeoDexExtra
		SubNeoDexExtra = menuMan.createSubMenuItem "Neodex Extra" NeoDexExtra
		NeoDexMain.addItem SubNeoDexExtra -1
		for m in extraMenus do
			NeoDexExtra.addItem m -1
		menuMan.updateMenuBar()
		messageBox "Installed Neodex 2.7 correctly!\n You should see a new menu on top called NeoDex"
	)
	catch
	(
		local s = getDir #maxRoot
		messageBox (
			"There was an error during the installation.\n Probably the macros and plugins weren't added correctly.\n\n" + \
			"You should copy/paste everything on the zip in this folder:\n  " + s
		)
	)
)
InstallNeoDex ()