global attachmentList = #("Head", "Overhead", "Origin", "Foot", "Chest", "Hand", "Weapon", "Sprite")
global attachmentAdd1List = #("None", "Right", "Left")
global attachmentAdd2List = #("None", "RallyPoint", "First", "Second", "Third", "Fourth", "Fifth", "Sixth")

plugin Helper Wc3AttachPoint
name:"AttachPoint" 
classID:#(0x1136ac20, 0x6f9cfeb7)
category:"Warcraft 3 Systems" 
extends:point 
(
	parameters pblock rollout:params
	(
		nameFirst type:#integer animatable:false ui:first default:1
		nameAdd1 type:#integer animatable:false ui:add1 default:1
		nameAdd2 type:#integer animatable:false ui:add2 default:1
		usesExternalModel type:#boolean animatable:false ui:chk1 default:false
		externalModelPath type:#string animatable:false ui:edt2 default:""
		usesAttachmentId type:#boolean animatable:false ui:chk2 default:false
		attachmentId type:#integer animatable:false ui:spn2 default:0
	)
	rollout params "Attachment Parameters" width:162 height:400
	(
		dropDownList first "Type:" pos:[16,35] width:125 height:40 items:attachmentList
		dropDownList add1 "Side:" pos:[16,82] width:124 height:40 items:attachmentAdd1List
		dropDownList add2 "Extra:" pos:[15,129] width:124 height:40 items:attachmentAdd2List
		groupBox grp1 "AttachPoint Description" pos:[8,10] width:142 height:178
		groupBox grp2 "External model" pos:[8,194] width:143 height:97
		checkbox chk1 "uses external model" pos:[22,216] width:116 height:21
		editText edt2 "" pos:[15,263] width:120 height:15
		label lbl2 "Path:" pos:[13,243] width:33 height:16
		groupBox grp3 "Attachment Id" pos:[8,297] width:142 height:88
		checkbox chk2 "uses attachment id" pos:[23,322] width:113 height:18
		spinner spn2 "" pos:[43,350] width:44 height:16 range:[0,100,0] type:#integer
		label lbl3 "Id:" pos:[23,350] width:17 height:18
	)
	tool create 
	(
		on mousePoint click do 
		(
			coordsys grid (nodeTM.translation = gridPoint)
			#stop
		)
	)
)