global NeoDexSTSettingsRoll
global gmax = (cylgizmo == undefined)

fn NeoDexSTLoadFNSettings =
(
	fn IsMesh o = (classOf o == Editable_mesh)
	fn IsPart1 o = (classOf o == SuperSpray)
	fn tmp a b =
	(
		if a == #NoDefinition then b
		else if a == b then b else undefined
	)
	fn tmp2 o p =
	(
		local b = getUserProp o p
		if b == undefined then 0 else b
	)
	fn tmp3 h = if h == undefined then 0 else h
	fn tmp4 o = if gmax and o == 0 then 1 else o
	fn tmp5 i = if i == 0 then false else true
	local bill = #NoDefinition
	local skin = #NoDefinition
	local cam = #NoDefinition
	local unsel = #NoDefinition
	local skinEnabled = true
	local billEnabled = true
	local camEnabled = true
	local part1Enabled = selection.count != 0
	for s in selection do
	(
		bill = tmp bill (tmp2 s "Billboard")
		skin = tmp skin (tmp2 s "Wc3Skin")
		cam = tmp cam (tmp2 s "CameraAnchored")
		unsel = tmp unsel (tmp2 s "Unselectable")
		skinEnabled = skinEnabled and (IsMesh s)
		part1Enabled = part1Enabled and (IsPart1 s)
	)
	if bill == #NoDefinition then
	(
		billEnabled = false
		bill = 0
	)
	if skin == #NoDefinition then
	(
		skinEnabled = false
		skin = 0
	)
	if unsel == #NoDefinition then
		unsel = 0
	if cam == #NoDefinition then
	(
		camEnabled = false
		cam = 0
	)
	if (part1Enabled and selection.count == 1) then
	(
		local p =  getUserProp selection[1] "ParticlePath"
		if p != undefined then NeoDexSTSettingsRoll.part1Edit.text = p
	)
	NeoDexSTSettingsRoll.part1Edit.enabled = part1Enabled
	NeoDexSTSettingsRoll.billboardingRdo.enabled = billEnabled
	NeoDexSTSettingsRoll.skinRdo.enabled = skinEnabled
	NeoDexSTSettingsRoll.selectChk.enabled = skinEnabled
	NeoDexSTSettingsRoll.cameraChk.enabled = camEnabled
	NeoDexSTSettingsRoll.billboardingRdo.state = tmp4 (tmp3 bill)
	NeoDexSTSettingsRoll.skinRdo.state = tmp4 (tmp3 skin)
	NeoDexSTSettingsRoll.cameraChk.checked = tmp5 (tmp3 cam)
	NeoDexSTSettingsRoll.selectChk.checked = tmp5 (tmp3 unsel)
)
