global NeoDexExtraPlugins
global NeoDexFullCompatibility = 0
global NeoDex3dsmaxCompatibility = 1
global NeoDexGmaxCompatibility = 2

struct NeoDexPlugin
(
	macroName,
	category,
	compatibility
)

-- Should be used only by the installer
fn InitiateNeodexPlugins = NeoDexExtraPlugins = #()

-- To be used only on plugin declaration
fn declareNeoDexPlugin macroName category compatibility =
(
	local NDPlugin = NeoDexPlugin macroName:macroName category:category compatibility:compatibility
	append NeoDexExtraPlugins NDPlugin
)

-- Should be used only by the installer
fn NeoDexGetPlugins = NeoDexExtraPlugins

-- Should be used only by the installer
fn NeoDexIsPluginCompatible pg gmax =
(
	case (pg.compatibility) of
	(
		NeoDexFullCompatibility: true
		NeoDex3dsmaxCompatibility: (not gmax)
		NeoDexGmaxCompatibility: gmax
	)
)

fn NeoDexPluginMakeMenuItem pg = menuMan.createActionItem pg.macroName pg.category