
--name of macroscript, internalCategory, compatibility.
declareNeoDexPlugin "NeoDex_Bone_Namer" "Tools" NeoDexFullCompatibility

macroscript NeoDex_Bone_Namer
    buttonText:"Bone Namer"
    category:"NeoDex Toolkit"
    internalCategory:"Tools" 
(
	
	local RIGHT_COLOR = (color 28 89 177)
	local LEFT_COLOR = (color 176 26 26)
	local CENTER_COLOR = (color 27 177 27)
	
	fn configureBone obj newName newColor =
	(
		obj.name = "Bone_" + newName
		if (isProperty obj #wireColor) then
			obj.wirecolor = newColor
	)
	
	rollout mainRollout "Bone Namer" width:228 height:352
	(
		pickbutton HeadBtn "O_O" pos:[86,26] width:50 height:41
		GroupBox grp1 "Basic Skeleton" pos:[13,8] width:203 height:334
		pickbutton NeckBtn "" pos:[100,74] width:19 height:16
		pickbutton Arm1LBtn "" pos:[180,83] width:19 height:39
		pickbutton Arm2LBtn "" pos:[180,132] width:20 height:39
		pickbutton HandLBtn "" pos:[177,179] width:28 height:16
		pickbutton Arm1RBtn "" pos:[23,83] width:19 height:39
		pickbutton Arm2RBtn "" pos:[22,132] width:20 height:39
		pickbutton HandRBtn "" pos:[19,179] width:28 height:16
		pickbutton ChestBtn "" pos:[71,99] width:80 height:71
		pickbutton RootBtn "" pos:[100,179] width:24 height:14
		pickbutton PelvisBtn "" pos:[77,199] width:69 height:21
		pickbutton Leg1LBtn "" pos:[137,228] width:21 height:34
		pickbutton Leg2LBtn "" pos:[140,267] width:22 height:36
		pickbutton FootLBtn "" pos:[146,311] width:38 height:17
		pickbutton Leg1RBtn "" pos:[69,228] width:21 height:34
		pickbutton Leg2RBtn "" pos:[60,267] width:22 height:36
		pickbutton FootRBtn "" pos:[37,311] width:38 height:17
		pickbutton ShoulderLBtn "" pos:[129,76] width:44 height:12
		pickbutton ShoulderRBtn "" pos:[50,76] width:44 height:12
		on HeadBtn picked obj do
		(
			configureBone obj "Head" CENTER_COLOR
		)
		on NeckBtn picked obj do
		(
			configureBone obj "Neck" CENTER_COLOR
		)
		on Arm1LBtn picked obj do
		(
			configureBone obj "Arm1_L" LEFT_COLOR
		)
		on Arm2LBtn picked obj do
		(
			configureBone obj "Arm2_L" LEFT_COLOR
		)
		on HandLBtn picked obj do
		(
			configureBone obj "Hand_L" LEFT_COLOR
		)
		on Arm1RBtn picked obj do
		(
			configureBone obj "Arm1_R" RIGHT_COLOR
		)
		on Arm2RBtn picked obj do
		(
			configureBone obj "Arm2_R" RIGHT_COLOR
		)
		on HandRBtn picked obj do
		(
			configureBone obj "Hand_R" RIGHT_COLOR
		)
		on ChestBtn picked obj do
		(
			configureBone obj "Chest" CENTER_COLOR
		)
		on RootBtn picked obj do
		(
			configureBone obj "Root" CENTER_COLOR
		)
		on PelvisBtn picked obj do
		(
			configureBone obj "Pelvis" CENTER_COLOR
		)
		on Leg1LBtn picked obj do
		(
			configureBone obj "Leg1_L" LEFT_COLOR
		)
		on Leg2LBtn picked obj do
		(
			configureBone obj "Leg2_L" LEFT_COLOR
		)
		on FootLBtn picked obj do
		(
			configureBone obj "Foot_L" LEFT_COLOR
		)
		on Leg1RBtn picked obj do
		(
			configureBone obj "Leg1_R" RIGHT_COLOR
		)
		on Leg2RBtn picked obj do
		(
			configureBone obj "Leg2_R" RIGHT_COLOR
		)
		on FootRBtn picked obj do
		(
			configureBone obj "Foot_R" RIGHT_COLOR
		)
		on ShoulderLBtn picked obj do
		(
			configureBone obj "Shoulder_L" LEFT_COLOR
		)
		on ShoulderRBtn picked obj do
		(
			configureBone obj "Shoulder_R" RIGHT_COLOR
		)
	)
	-- Initialization code
	
	createDialog mainRollout
	
)